gstreamermm: Gst::TCPClientSrc Class Reference

gstreamermm 0.10.10

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions

# Gst::TCPClientSrc Class Reference
gstreamermm Plugins

A Wrapper for the tcpclientsrc plugin. More...

Inheritance diagram for Gst::TCPClientSrc:
[legend]
Collaboration diagram for Gst::TCPClientSrc:
[legend]

List of all members.

## Public Member Functions
virtual | ~TCPClientSrc ()
GstTCPClientSrc* | gobj ()
| Provides access to the underlying C GObject.
const GstTCPClientSrc* | gobj () const
| Provides access to the underlying C GObject.
GstTCPClientSrc* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::PropertyProxy < Glib::ustring > | property_host ()
| The host IP address to receive packets from.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_host () const
| The host IP address to receive packets from.
Glib::PropertyProxy< int > | property_port ()
| The port to receive packets from.
Glib::PropertyProxy_ReadOnly< int > | property_port () const
| The port to receive packets from.
Glib::PropertyProxy < Gst::TCPProtocol > | property_protocol ()
| The protocol to wrap data in.
Glib::PropertyProxy_ReadOnly < Gst::TCPProtocol > | property_protocol () const
| The protocol to wrap data in.
## Static Public Member Functions
static Glib::RefPtr< TCPClientSrc > | create ()
| Creates a new tcpclientsrc plugin with a unique name.
static Glib::RefPtr< TCPClientSrc > | create (const Glib::ustring& name)
| Creates a new tcpclientsrc plugin with the given name.
## Protected Member Functions
| TCPClientSrc ()
| TCPClientSrc (const Glib::ustring& name)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gst::TCPClientSrc > | wrap (GstTCPClientSrc* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A Wrapper for the tcpclientsrc plugin.

Please note that, though using the underlying GObject is fine, using its C type is not guaranteed to be API stable across releases because it is not guaranteed to always remain the same. Also, not all plug-ins are available on all systems so care must be taken that they exist before they are used, otherwise there will be errors and possibly a crash.

## Constructor & Destructor Documentation

virtual Gst::TCPClientSrc::~TCPClientSrc | ( |  | ) | `[virtual]`

Gst::TCPClientSrc::TCPClientSrc | ( |  | ) | `[protected]`

Gst::TCPClientSrc::TCPClientSrc | ( | const Glib::ustring & | name | ) | `[explicit, protected]`

## Member Function Documentation

static Glib::RefPtr<TCPClientSrc> Gst::TCPClientSrc::create | ( |  | ) | `[static]`

Creates a new tcpclientsrc plugin with a unique name.

static Glib::RefPtr<TCPClientSrc> Gst::TCPClientSrc::create | ( | const Glib::ustring & | name | ) | `[static]`

Creates a new tcpclientsrc plugin with the given name.

const GstTCPClientSrc* Gst::TCPClientSrc::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::PushSrc.

GstTCPClientSrc* Gst::TCPClientSrc::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::PushSrc.

GstTCPClientSrc* Gst::TCPClientSrc::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gst::PushSrc.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gst::TCPClientSrc::property_host | ( |  | ) | const

The host IP address to receive packets from.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Gst::TCPClientSrc::property_host | ( |  | ) |

The host IP address to receive packets from.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gst::TCPClientSrc::property_port | ( |  | ) | const

The port to receive packets from.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gst::TCPClientSrc::property_port | ( |  | ) |

The port to receive packets from.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Gst::TCPProtocol> Gst::TCPClientSrc::property_protocol | ( |  | ) | const

The protocol to wrap data in.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Gst::TCPProtocol> Gst::TCPClientSrc::property_protocol | ( |  | ) |

The protocol to wrap data in.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr< Gst::TCPClientSrc > wrap | ( | GstTCPClientSrc * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gstreamermm/tcpclientsrc.h